stralloc_diffs(3)

NAME
stralloc_diffs - compare two strallocs

SYNTAX
#include <libowfat/stralloc.h> int stralloc_diff(const stralloc* a,const stralloc* b);

DESCRIPTION
stralloc_diff returns negative, 0, or positive, depending on whether a is lexicographically smaller than, equal to, or greater than the string b.

RETURN VALUE
<0 if a<b, 0 if a==b, >0 if a>b.

SEE ALSO
stralloc_diffs(3), stralloc_starts(3)